%global pypi_name regex

Name:           python-%{pypi_name}
Version:        2020.11.13
Release:        %mkrel 1
Summary:        Alternative regular expression module, to replace re
Group:		    Development/Python
# see also https://code.google.com/p/mrab-regex-hg/issues/detail?id=124
License:        Python and CNRI
URL:            https://pypi.org/project/regex/
Source0:        %{pypi_source}
BuildRequires:	python3-devel
# for /usr/bin/rst2html
BuildRequires:  python3-docutils
BuildRequires:  python3dist(pygments)

%description
This new regex implementation is intended eventually to replace
Python's current re module implementation.

For testing and comparison with the current 're' module the new
implementation is in the form of a module called 'regex'.


%package -n python3-%{pypi_name}
Summary:        Alternative regular expression module, to replace re
Group:          Development/Python

%description -n python3-%{pypi_name}
This new regex implementation is intended eventually to replace
Python's current re module implementation.

For testing and comparison with the current 're' module the new
implementation is in the form of a module called 'regex'.


%prep
%autosetup -n %{pypi_name}-%{version}

# will be rebuilt
rm docs/Features.html

%build
%py3_build

# rebuild the HTML doc
rst2html docs/Features.rst > docs/Features.html

%install
%py3_install

%files -n python3-%{pypi_name}
%doc docs/Features.html
%{python3_sitearch}/*


%changelog
* Sun Nov 22 2020 guillomovitch <guillomovitch> 2020.11.13-1.mga8
+ Revision: 1648436
- new version 2020.11.13

* Sat Nov 07 2020 guillomovitch <guillomovitch> 2020.10.28-1.mga8
+ Revision: 1643244
- new version 2020.10.28

* Mon Sep 14 2020 guillomovitch <guillomovitch> 2020.7.14-1.mga8
+ Revision: 1626396
- new version 2020.7.14

* Wed Jun 10 2020 joequant <joequant> 2020.6.8-1.mga8
+ Revision: 1591977
- update to 2020.6.8

* Sun Feb 16 2020 umeabot <umeabot> 2019.08.19-3.mga8
+ Revision: 1531808
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 2019.08.19-2.mga8
+ Revision: 1441013
- drop now useless patch

* Thu Sep 12 2019 tv <tv> 2019.08.19-1.mga8
+ Revision: 1439964
- patch 0: fix building with python-3.8
- new release
- build for python-3.8
- drop python2 subpkg

* Sat Apr 20 2019 wally <wally> 2019.04.14-1.mga7
+ Revision: 1393813
- new version 2019.04.14

* Thu Jan 10 2019 daviddavid <daviddavid> 2018.11.22-1.mga7
+ Revision: 1354299
- rst2html is now in python3-docutils
- rename python-regex to python2-regex
+ shlomif <shlomif>
- New version

* Sun Sep 23 2018 umeabot <umeabot> 2015.11.22-4.mga7
+ Revision: 1300584
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 tarakbumba <tarakbumba> 2015.11.22-3.mga7
+ Revision: 1191080
- Patch regexp_core to use uppecase Digits and fix crashes with Turkish locale (mga#22314)

* Sat Aug 05 2017 pterjan <pterjan> 2015.11.22-2.mga7
+ Revision: 1135606
- Rebuild for python 3.6

* Thu Dec 24 2015 dglent <dglent> 2015.11.22-1.mga6
+ Revision: 913920
- Version 2015.11.22

* Mon Oct 12 2015 tv <tv> 2015.07.19-1.mga6
+ Revision: 889994
- fix missing Group
- imported package python-regex


* Mon Oct 12 2015 Thierry Vignaud <tv@mageia.org> 2015.07.19-1.mga6
- import from FC


